MGASA-2020-0437 - Updated tcpreplay package fixes security vulnerabilities

Publication date: 23 Nov 2020
URL: https://advisories.mageia.org/MGASA-2020-0437.html
Type: security
Affected Mageia releases: 7
CVE: CVE-2020-24265,
     CVE-2020-24266

An issue was discovered in tcpreplay tcpprep v4.3.3. There is a heap buffer
overflow vulnerability in MemcmpInterceptorCommon() that can make tcpprep
crash and cause a denial of service (CVE-2020-24265).

An issue was discovered in tcpreplay tcpprep v4.3.3. There is a heap buffer
overflow vulnerability in get_l2len() that can make tcpprep crash and cause a
denial of service (CVE-2020-24266).

References:
- https://bugs.mageia.org/show_bug.cgi?id=27489
- https://lists.fedoraproject.org/archives/list/[email protected]/thread/M623ONZKOZL5Y7XQNHKXEPV76XYCPXQM/
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-24265
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-24266

SRPMS:
- 7/core/tcpreplay-4.3.3-1.1.mga7